Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1285613 - Missing NT_ARM_SYSTEM_CALL
Summary: Missing NT_ARM_SYSTEM_CALL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils
Version: 24
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mark Wielaard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-26 04:09 UTC by Jan Kratochvil
Modified: 2016-04-22 01:51 UTC (History)
8 users (show)

Fixed In Version: elfutils-0.166-1.fc24 elfutils-0.166-1.fc23 elfutils-0.166-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-09 14:21:23 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jan Kratochvil 2015-11-26 04:09:11 UTC
eu-readelf -n core.5989 
  LINUX                  4  <unknown>: 1028

linux-2.6/include/uapi/linux/elf.h
#define NT_ARM_SYSTEM_CALL      0x404   /* ARM system call number */

Comment 1 Mark Wielaard 2015-11-26 09:08:48 UTC
Is there more documentation about NT_ARM_SYSTEM_CALL? I don't see it in glibc elf.h yet and it seems gdb and binutils also don't know about it.

Comment 2 Jan Kratochvil 2015-11-26 10:37:24 UTC
Length is 4 and normally it is 0xffffffff so it is IMO like x86 orig_eax.
That is a syscall number if we are between the first (entry) PTRACE_SYSCALL and second (exit) PTRACE_SYSCALL.  Maybe if the syscall itself crashes it gets into a core file by kernel but I did not verify that.

Comment 3 Mark Wielaard 2016-02-12 17:06:12 UTC
Proposed a patch upstream:

commit 99324b6c981505af55c23fed1f9e8d6da7722458
Author: Mark Wielaard <mjw>
Date:   Fri Feb 12 18:04:30 2016 +0100

    Add NT_ARM_SYSTEM_CALL aarch64 syscall regset.
    
    Linux kernel 3.18 added the NT_ARM_SYSTEM_CALL regset for aarch64.
    Recognize and print this new core item.
    
    Signed-off-by: Mark Wielaard <mjw>

Comment 4 Jan Kurik 2016-02-24 14:01:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Mike McCune 2016-03-28 23:00:31 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune with any questions

Comment 6 Fedora Update System 2016-03-31 20:57:30 UTC
elfutils-0.166-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e54f96cc35

Comment 7 Fedora Update System 2016-04-02 05:25:32 UTC
elfutils-0.166-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e54f96cc35

Comment 8 Fedora Update System 2016-04-04 17:23:52 UTC
elfutils-0.166-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-05 09:29:54 UTC
elfutils-0.166-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ebdb3d44e

Comment 10 Fedora Update System 2016-04-05 12:01:15 UTC
elfutils-0.166-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d6f111230

Comment 11 Fedora Update System 2016-04-06 18:21:26 UTC
elfutils-0.166-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ebdb3d44e

Comment 12 Fedora Update System 2016-04-07 16:50:05 UTC
elfutils-0.166-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d6f111230

Comment 13 Fedora Update System 2016-04-09 14:21:15 UTC
elfutils-0.166-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-04-22 01:51:25 UTC
elfutils-0.166-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.